Bug 241011 - Windows Switching to full screen breaks resolution
Windows Switching to full screen breaks resolution
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-23 13:48 EDT by Luis Martinez
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-17 09:32:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Martinez 2007-05-23 13:48:40 EDT
Description of problem:


When using software like VMWarare Player that lets you change to full screen
then the screen resolution goes beyond the monitor resolution, as the
experimental intel drivers rescans the best suitable resolution.
My Monitor and X resolution is set to 1200x800.
i810 driver is xorg-x11-drv-i810-2.0.0-3.fc7
kernel is 2.6.21-1.3189.fc7

How reproducible:


Steps to Reproduce:
1. Install VMPlayer.
2. Run a virtual machine (Windows 2k).
3. Change to full screen
  
Actual results:

Screen flickers because intel driver searches for proper resolution and
resolution is faulty changed to 1600x800 that makes part of the screen unreachable.

Expected results:

Full screen mode should be 1200x800

Additional info:
I have both tryed with and without screen effects enabled.
Comment 1 Matěj Cepl 2007-05-30 20:44:07 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2007-07-12 17:10:04 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Matěj Cepl 2007-08-17 09:32:39 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.